Package com.collibra.catalog.api.component.classification

# Interface ClassificationDataCategoryApi

public interface ClassificationDataCategoryApi

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DataClassDataCategoryConnections`
  `connectDataCategoriesDataClass(ConnectDataCategoriesWithDataClassRequest request)`
  Create a `DataClassDataCategoryConnection` for the given data classes and data categories.
  `DataClassDataCategoryConnection`
  `connectDataCategoryDataClass(ConnectDataCategoryWithDataClassRequest request)`
  Create a `DataClassDataCategoryConnection` for the given data class and data category.
  `DataClassDataCategoryConnections`
  `connectDataClassesDataCategory(ConnectDataClassesWithDataCategoryRequest request)`
  Create a `DataClassDataCategoryConnection` for the given data classes and data category.
  `void`
  `disconnectDataCategoriesDataClass(DisconnectDataCategoriesFromDataClassRequest request)`
  Disconnect data categories from a data class.
  `void`
  `disconnectDataCategoryDataClass(DisconnectDataCategoryWithDataClassRequest request)`
  Disconnect a data category from a data class.
  `void`
  `disconnectDataClassesDataCategory(DisconnectDataClassesFromDataCategoryRequest request)`
  Disconnect data classes from a data category.
  `DataClassDataCategoryConnectionsPagedResponse`
  `getConnectedDataClassesDataCategories(GetConnectedDataClassesDataCategoriesRequest request)`
  Get associations between a data class and a data category.

- ## Method Details

  - ### connectDataCategoryDataClass

    DataClassDataCategoryConnection connectDataCategoryDataClass(ConnectDataCategoryWithDataClassRequest request)
    Create a `DataClassDataCategoryConnection` for the given data class and data category.
    Parameters:
      `request` - request specifying the data category to be connected to the data class
    Returns:
      connection between data class and data category

  - ### connectDataCategoriesDataClass

    DataClassDataCategoryConnections connectDataCategoriesDataClass(ConnectDataCategoriesWithDataClassRequest request)
    Create a `DataClassDataCategoryConnection` for the given data classes and data categories.
    Parameters:
      `request` - request specifying the data class and data categories to be connected
    Returns:
      connections between data class and data categories

  - ### connectDataClassesDataCategory

    DataClassDataCategoryConnections connectDataClassesDataCategory(ConnectDataClassesWithDataCategoryRequest request)
    Create a `DataClassDataCategoryConnection` for the given data classes and data category.
    Parameters:
      `request` - request specifying the data classes to be connected to the data category
    Returns:
      connections between data classes and data category

  - ### disconnectDataCategoryDataClass

    void disconnectDataCategoryDataClass(DisconnectDataCategoryWithDataClassRequest request)
    Disconnect a data category from a data class.
    Parameters:
      `request` - request specifying the data category to be disconnected from data class

  - ### disconnectDataCategoriesDataClass

    void disconnectDataCategoriesDataClass(DisconnectDataCategoriesFromDataClassRequest request)
    Disconnect data categories from a data class.
    Parameters:
      `request` - request specifying the data categories to be disconnected from the data class

  - ### disconnectDataClassesDataCategory

    void disconnectDataClassesDataCategory(DisconnectDataClassesFromDataCategoryRequest request)
    Disconnect data classes from a data category.
    Parameters:
      `request` - request specifying the data classes to be disconnected from the data category

  - ### getConnectedDataClassesDataCategories

    DataClassDataCategoryConnectionsPagedResponse getConnectedDataClassesDataCategories(GetConnectedDataClassesDataCategoriesRequest request)
    Get associations between a data class and a data category.
    Parameters:
      `request` - request specifying the data class and data category
    Returns:
      paged response of associations between a data class and a data category